<div align="center">
<img src="assets/header.gif"/>
  <a href="#contributors-"><img src="https://img.shields.io/badge/all_contributors-2-orange.svg?style=flat-square" alt="All contributors"></a>
  <img src="https://github.com/tuist/tuist/workflows/Tuist/badge.svg" alt="Tuist">
  <img src="https://img.shields.io/github/v/release/tuist/tuist?include_prereleases&style=flat-square" alt="Latest Version">
  <a href="http://community.tuist.io"><img src="https://img.shields.io/badge/community-tuist-blue?style=flat-square" alt="Community"></a>
  <img src="https://img.shields.io/github/forks/tuist/tuist?style=flat-square" alt="GitHub forks">
  <img src="https://img.shields.io/github/stars/tuist/tuist?style=flat-square" alt="GitHub stars">
  <img src="https://img.shields.io/github/commit-activity/w/tuist/tuist?style=flat-square" alt="Commit Activity">
    <img src="https://img.shields.io/github/contributors/tuist/tuist?style=flat-square" alt="Contributors">
  <img src="https://img.shields.io/github/commits-since/tuist/tuist/latest?style=flat-square" alt="Latest Commits">
  <a href="http://twitter.com/tuistio"><img src="https://img.shields.io/twitter/follow/tuistio?style=flat-square" alt="Twitter Followers"></a>
  <img src="https://img.shields.io/opencollective/sponsors/tuistapp?style=flat-square" alt="Sponsors">
  <img src="https://img.shields.io/opencollective/all/tuistapp?style=flat-square" alt="Backers and sponsors">
  <img src="https://img.shields.io/github/license/tuist/tuist?style=flat-square" alt="License">
  <img src="https://img.shields.io/badge/Powered%20by-Tuist-blue" alt="Powered by Tuist">
  <a href="#contributors-"><img src="https://img.shields.io/badge/all_contributors-3-orange.svg?style=flat-square" alt="Contributors"></a>
</div>

## What's Tuist 🕺

Tuist is a command line tool that helps you **generate**, **maintain** and **interact** with Xcode projects.

It's open source and written in Swift.

## Install ⬇️

### Running script (Recommended)

```shell
curl -Ls https://install.tuist.io | bash
```

## Bootstrap your first project 🌀

```bash
tuist init --platform ios
tuist generate # Generates Xcode project & workspace
tuist build # Builds your project
```

[Check out](https://docs.tuist.io) the project "Get Started" guide to learn more about Tuist and all its features.

## Companies using Tuist

<div align="center">
  <a href="https://play.tv2.no/" target="_blank">
    <img src="assets/companies/TV2_Logo.svg" style="width: 20px" hspace="8"/>
  </a>
  <a href="https://www.depop.com/" target="_blank">
      <img src="assets/companies/Depop Logo.svg" style="width: 100px;" hspace="8"/>
  </a>
  <a href="https://bendingspoons.com/" target="_blank">
    <img src="assets/companies/Bending Spoons - Logo, black.svg" style="width: 50px;" hspace="8"/>
  </a>
  <a href="https://globekeeper.com/" target="_blank">
    <img src="assets/companies/globekeeper.png" style="width: 130px;" hspace="8"/>
  </a>
  <a href="https://getyourguide.com" target="_blank">
    <img src="assets/companies/GetYourGuide.svg" style="width: 40px;" hspace="8"/>
  </a>
  <a href="https://emplate.it/" target="_blank">
    <img src="assets/companies/emplate_logo_full_black.svg" style="width: 120px;" hspace="8"/>
  </a>
  <a href="https://hh.ru/" target="_blank">
    <img src="assets/companies/hh mono.svg" style="width: 40px;" hspace="8/>
  </a>
  <a href="https://www.trendyol.com/" target="_blank">
    <img src="assets/companies/Trendyol_online.png" style="width: 120px;" hspace="8"/>
  </a>
  <a href="https://angrynerds.co" target="_blank">
    <img src="assets/companies/angry_nerds_logo_black.svg" style="width: 110px;" hspace="8"/>
  </a>
  <a href="https://www.compass.com/" target="_blank">
    <img src="assets/companies/Compass Black Logo.png" style="width: 110px;" hspace="8"/>
  </a>
  <a href="https://www.wefox.com" target="_blank">
    <img src="assets/companies/Wefox_2021.png" style="width: 110px;" hspace="8"/>
  </a>
  <a href="https://www.hedvig.com/" target="_blank">
    <img src="assets/companies/Hedvig.svg" style="width: 110px;" hspace="8"/>
  </a>
</div>

## Documentation 📝

Do you want to know more about what Tuist can offer you? Or perhaps want to contribute to the project and you need a starting point? You can check out the [project documentation](https://docs.tuist.io/tutorial/get-started/).

## Supported by great companies

1Password and Bugsnag support the project by giving us access to their service through an open-source program.

<div align="center">
  <img width="70" src="assets/1Password.png" hspace="10"/>
  <img width="200" src="https://images.typeform.com/images/QKuaAssrFCq7/image/default" hspace="10">
</div>

## Contribute 👩‍💻

If you are interested in contributed to the project, our documentation has a section with resources for contributors. We recommend starting from [this page](https://docs.tuist.io/contributors/get-started).

## Core Team ✨

<table>
  <tr>
    <td align="center"><a href="https://github.com/pepibumur"><img src="https://avatars1.githubusercontent.com/u/663605?v=4" width="100px;" alt=""/><br /><sub><b>Pedro Piñera</b></sub></a><br /></td>
    <td align="center"><a href="https://github.com/fortmarek"><img src="https://avatars0.githubusercontent.com/u/9371695?v=4" width="100px;" alt=""/><br /><sub><b>Marek Fořt</b></sub></a><br /></td>
    <td align="center"><a href="http://www.matrixprojects.net"><img src="https://avatars3.githubusercontent.com/u/11914919?v=4" width="100px;" alt=""/><br /><sub><b>Kas</b></sub></a><br /></td>
    <td align="center"><a href="http://natanrolnik.me"><img src="https://avatars3.githubusercontent.com/u/1164565?v=4" width="100px;" alt=""/><br /><sub><b>Natan Rolnik</b></sub></a><br /></td>
    <td align="center"><a href="https://github.com/andreacipriani"><img src="https://avatars3.githubusercontent.com/u/536929?v=4" width="100px;" alt=""/><br /><sub><b>Andrea Cipriani</b></sub></a><br /></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/ollieatkinson"><img src="https://avatars1.githubusercontent.com/u/1382565?v=4" width="100px;" alt=""/><br /><sub><b>Oliver Atkinson</b></sub></a><br /></td>
    <td align="center"><a href="https://github.com/RomainBoulay"><img src="https://avatars1.githubusercontent.com/u/169323?v=4" width="100px;" alt=""/><br /><sub><b>Romain Boulay</b></sub></a><br /></td>
    <td align="center"><a href="https://github.com/laxmorek"><img src="https://avatars1.githubusercontent.com/u/4774319?v=4" width="100px;" alt=""/><br /><sub><b>Kamil Harasimowicz</b></sub></a><br /></td>
    <td align="center"><a href="http://www.luispadron.com"><img src="https://avatars3.githubusercontent.com/u/13840545?v=4" width="100px;" alt=""/><br /><sub><b>Luis Padron</b></sub></a></td>
    <td align="center"><a href="https://github.com/danyf90"><img src="https://avatars.githubusercontent.com/u/2794031?v=4" width="100px;" alt=""/><br /><sub><b>Daniele Formichelli</b></sub></a><br /></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/adellibovi"><img src="https://avatars3.githubusercontent.com/u/67916?v=4" width="100px;" alt=""/><br /><sub><b>Alfredo Delli Bovi</b></sub></a><br /></td>
  </tr>
</table>

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://github.com/kalkwarf"><img src="https://avatars1.githubusercontent.com/u/1033839?v=4" width="100px;" alt=""/><br /><sub><b>kalkwarf</b></sub></a></td>
    <td align="center"><a href="https://github.com/fortmarek"><img src="https://avatars0.githubusercontent.com/u/9371695?v=4" width="100px;" alt=""/><br /><sub><b>Marek Fořt</b></sub></a></td>
    <td align="center"><a href="http://www.matrixprojects.net"><img src="https://avatars3.githubusercontent.com/u/11914919?v=4" width="100px;" alt=""/><br /><sub><b>Kas</b></sub></a></td>
    <td align="center"><a href="http://natanrolnik.me"><img src="https://avatars3.githubusercontent.com/u/1164565?v=4" width="100px;" alt=""/><br /><sub><b>Natan Rolnik</b></sub></a></td>
    <td align="center"><a href="https://github.com/svastven"><img src="https://avatars0.githubusercontent.com/u/42235915?v=4" width="100px;" alt=""/><br /><sub><b>svastven</b></sub></a></td>
    <td align="center"><a href="http://bhuemer.github.io"><img src="https://avatars2.githubusercontent.com/u/1212480?v=4" width="100px;" alt=""/><br /><sub><b>Bernhard Huemer</b></sub></a></td>
    <td align="center"><a href="https://djankowski.dev"><img src="https://avatars0.githubusercontent.com/u/10795657?v=4" width="100px;" alt=""/><br /><sub><b>Daniel Jankowski</b></sub></a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/facumenzella"><img src="https://avatars1.githubusercontent.com/u/1125252?v=4" width="100px;" alt=""/><br /><sub><b>Facundo Menzella</b></sub></a></td>
    <td align="center"><a href="https://github.com/eito"><img src="https://avatars3.githubusercontent.com/u/775643?v=4" width="100px;" alt=""/><br /><sub><b>Eric Ito</b></sub></a></td>
    <td align="center"><a href="https://github.com/laxmorek"><img src="https://avatars2.githubusercontent.com/u/4774319?v=4" width="100px;" alt=""/><br /><sub><b>Kamil Harasimowicz</b></sub></a></td>
    <td align="center"><a href="https://github.com/olejnjak"><img src="https://avatars1.githubusercontent.com/u/3148214?v=4" width="100px;" alt=""/><br /><sub><b>Jakub Olejník</b></sub></a></td>
    <td align="center"><a href="https://github.com/lakpa"><img src="https://avatars0.githubusercontent.com/u/389328?v=4" width="100px;" alt=""/><br /><sub><b>ldindu</b></sub></a></td>
    <td align="center"><a href="https://github.com/gtsifrikas"><img src="https://avatars2.githubusercontent.com/u/8904378?v=4" width="100px;" alt=""/><br /><sub><b>George Tsifrikas</b></sub></a></td>
    <td align="center"><a href="https://github.com/yurapriv"><img src="https://avatars2.githubusercontent.com/u/7814127?v=4" width="100px;" alt=""/><br /><sub><b>Privezentsev Yura</b></sub></a></td>
  </tr>
  <tr>
    <td align="center"><a href="http://ferologics.github.io"><img src="https://avatars2.githubusercontent.com/u/5576161?v=4" width="100px;" alt=""/><br /><sub><b>Fero</b></sub></a></td>
    <td align="center"><a href="https://heberti.com"><img src="https://avatars0.githubusercontent.com/u/103670?v=4" width="100px;" alt=""/><br /><sub><b>Heberti Almeida</b></sub></a></td>
    <td align="center"><a href="http://benscheirman.com"><img src="https://avatars0.githubusercontent.com/u/59140?v=4" width="100px;" alt=""/><br /><sub><b>Ben Scheirman</b></sub></a></td>
    <td align="center"><a href="https://jsorge.net"><img src="https://avatars3.githubusercontent.com/u/2585841?v=4" width="100px;" alt=""/><br /><sub><b>Jared Sorge</b></sub></a></td>
    <td align="center"><a href="https://joeblau.com"><img src="https://avatars1.githubusercontent.com/u/1218847?v=4" width="100px;" alt=""/><br /><sub><b>Joe Blau</b></sub></a></td>
    <td align="center"><a href="https://twitter.com/dchavezlive"><img src="https://avatars0.githubusercontent.com/u/2475932?v=4" width="100px;" alt=""/><br /><sub><b>David Chavez</b></sub></a></td>
    <td align="center"><a href="https://www.linkedin.com/in/роман-подымов-72338ab0/"><img src="https://avatars3.githubusercontent.com/u/10789692?v=4" width="100px;" alt=""/><br /><sub><b>Roman Podymov</b></sub></a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/marcinreliga-fn"><img src="https://avatars0.githubusercontent.com/u/76949651?v=4" width="100px;" alt=""/><br /><sub><b>Marcin Religa</b></sub></a></td>
    <td align="center"><a href="https://github.com/adellibovi"><img src="https://avatars3.githubusercontent.com/u/67916?v=4" width="100px;" alt=""/><br /><sub><b>Alfredo Delli Bovi</b></sub></a></td>
    <td align="center"><a href="https://github.com/Jake-Prickett"><img src="https://avatars1.githubusercontent.com/u/26095410?v=4" width="100px;" alt=""/><br /><sub><b>Jake Prickett</b></sub></a></td>
    <td align="center"><a href="https://github.com/danyf90"><img src="https://avatars.githubusercontent.com/u/2794031?v=4" width="100px;" alt=""/><br /><sub><b>Daniele Formichelli</b></sub></a></td>
    <td align="center"><a href="https://www.facebook.com/PetrachkovSergey"><img src="https://avatars.githubusercontent.com/u/7995896?v=4" width="100px;" alt=""/><br /><sub><b>Sergey Petrachkov</b></sub></a></td>
    <td align="center"><a href="http://jinuman.github.io/resume"><img src="https://avatars.githubusercontent.com/u/26243835?v=4" width="100px;" alt=""/><br /><sub><b>Jinwoo, Kim</b></sub></a></td>
    <td align="center"><a href="https://github.com/thedavidharris"><img src="https://avatars.githubusercontent.com/u/5666250?v=4" width="100px;" alt=""/><br /><sub><b>David Harris</b></sub></a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/DimaMishchenko"><img src="https://avatars.githubusercontent.com/u/25247301?v=4" width="100px;" alt=""/><br /><sub><b>Dmytro Mishchenko</b></sub></a></td>
    <td align="center"><a href="http://www.sampettersson.com"><img src="https://avatars.githubusercontent.com/u/5459507?v=4" width="100px;" alt=""/><br /><sub><b>Sam Pettersson</b></sub></a></td>
    <td align="center"><a href="http://www.joshholtz.com"><img src="https://avatars.githubusercontent.com/u/401294?v=4" width="100px;" alt=""/><br /><sub><b>Josh Holtz</b></sub></a></td>
    <td align="center"><a href="http://jierong.dev"><img src="https://avatars.githubusercontent.com/u/7414906?v=4" width="100px;" alt=""/><br /><sub><b>Jierong Li</b></sub></a></td>
    <td align="center"><a href="https://twitter.com/freak4pc"><img src="https://avatars.githubusercontent.com/u/605076?v=4" width="100px;" alt=""/><br /><sub><b>Shai Mishali</b></sub></a></td>
    <td align="center"><a href="https://twitter.com/FranzJBusch"><img src="https://avatars.githubusercontent.com/u/3491887?v=4" width="100px;" alt=""/><br /><sub><b>Franz Busch</b></sub></a></td>
    <td align="center"><a href="https://github.com/tiarnann"><img src="https://avatars.githubusercontent.com/u/10522081?v=4" width="100px;" alt=""/><br /><sub><b>Tíarnán McGrath</b></sub></a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/softmaxsg"><img src="https://avatars.githubusercontent.com/u/3723817?v=4" width="100px;" alt=""/><br /><sub><b>Vitaly Chupryk</b></sub></a></td>
    <td align="center"><a href="https://github.com/rmnblm"><img src="https://avatars.githubusercontent.com/u/5942764?v=4" width="100px;" alt=""/><br /><sub><b>Roman Blum</b></sub></a></td>
    <td align="center"><a href="http://nanotek.me"><img src="https://avatars.githubusercontent.com/u/7265334?v=4" width="100px;" alt=""/><br /><sub><b>Giovanni Filaferro</b></sub></a></td>
    <td align="center"><a href="http://twitter.com/tovkal"><img src="https://avatars.githubusercontent.com/u/5960675?v=4" width="100px;" alt=""/><br /><sub><b>Andrés Pizá Bückmann</b></sub></a></td>
    <td align="center"><a href="http://coutinho.dev"><img src="https://avatars.githubusercontent.com/u/17842860?v=4" width="100px;" alt=""/><br /><sub><b>Gabriel Coutinho</b></sub></a></td>
    <td align="center"><a href="https://medium.com/@riccardocipolleschi"><img src="https://avatars.githubusercontent.com/u/11162307?v=4" width="100px;" alt=""/><br /><sub><b>Riccardo</b></sub></a></td>
    <td align="center"><a href="https://github.com/bolismauro"><img src="https://avatars.githubusercontent.com/u/771999?v=4" width="100px;" alt=""/><br /><sub><b>Mauro Bolis</b></sub></a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://twitter.com/iteractive_man"><img src="https://avatars.githubusercontent.com/u/461805?v=4" width="100px;" alt=""/><br /><sub><b>Peter Weishapl</b></sub></a></td>
    <td align="center"><a href="http://stackoverflow.com/users/1878594/swiftycruz"><img src="https://avatars.githubusercontent.com/u/2609775?v=4" width="100px;" alt=""/><br /><sub><b>Cruz</b></sub></a></td>
    <td align="center"><a href="https://github.com/svenmuennich"><img src="https://avatars.githubusercontent.com/u/1932115?v=4" width="100px;" alt=""/><br /><sub><b>Sven Münnich</b></sub></a></td>
    <td align="center"><a href="https://github.com/santi-d"><img src="https://avatars.githubusercontent.com/u/993826?v=4" width="100px;" alt=""/><br /><sub><b>Santiago A. Delgado</b></sub></a></td>
    <td align="center"><a href="https://wojciechkulik.pl"><img src="https://avatars.githubusercontent.com/u/3128467?v=4" width="100px;" alt=""/><br /><sub><b>Wojciech Kulik</b></sub></a></td>
    <td align="center"><a href="https://github.com/iainsmith"><img src="https://avatars.githubusercontent.com/u/993745?v=4" width="100px;" alt=""/><br /><sub><b>Iain Smith</b></sub></a></td>
    <td align="center"><a href="https://github.com/havebeenfitz"><img src="https://avatars.githubusercontent.com/u/31866271?v=4" width="100px;" alt=""/><br /><sub><b>Max Kraev</b></sub></a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/mstfy"><img src="https://avatars.githubusercontent.com/u/5105861?v=4" width="100px;" alt=""/><br /><sub><b>Mustafa Yusuf</b></sub></a></td>
    <td align="center"><a href="http://twitter.com/danielbarden"><img src="https://avatars.githubusercontent.com/u/104456?v=4" width="100px;" alt=""/><br /><sub><b>Daniel Barden</b></sub></a></td>
    <td align="center"><a href="https://github.com/zzzkk"><img src="https://avatars.githubusercontent.com/u/12541603?v=4" width="100px;" alt=""/><br /><sub><b>Zofia Kulus</b></sub></a></td>
    <td align="center"><a href="http://randombits.org/"><img src="https://avatars.githubusercontent.com/u/3589315?v=4" width="100px;" alt=""/><br /><sub><b>David Peterson</b></sub></a></td>
    <td align="center"><a href="https://bandism.net/"><img src="https://avatars.githubusercontent.com/u/22633385?v=4" width="100px;" alt=""/><br /><sub><b>Ikko Ashimine</b></sub></a></td>
    <td align="center"><a href="https://github.com/setoelkahfi"><img src="https://avatars.githubusercontent.com/u/1797197?v=4" width="100px;" alt=""/><br /><sub><b>Seto Elkahfi / 塞托·埃尔卡菲</b></sub></a></td>
    <td align="center"><a href="https://apps4everyone.at"><img src="https://avatars.githubusercontent.com/u/1915802?v=4" width="100px;" alt=""/><br /><sub><b>apps4everyone</b></sub></a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/LorDisturbia"><img src="https://avatars.githubusercontent.com/u/12445776?v=4" width="100px;" alt=""/><br /><sub><b>Lorenzo</b></sub></a></td>
    <td align="center"><a href="https://github.com/DarkoDamjanovic"><img src="https://avatars.githubusercontent.com/u/11902775?v=4" width="100px;" alt=""/><br /><sub><b>Darko Damjanovic</b></sub></a></td>
    <td align="center"><a href="https://twitter.com/MarvinNazari"><img src="https://avatars.githubusercontent.com/u/926772?v=4" width="100px;" alt=""/><br /><sub><b>Marvin Nazari</b></sub></a></td>
    <td align="center"><a href="http://twitter.com/codeOfRobin"><img src="https://avatars.githubusercontent.com/u/5009041?v=4" width="100px;" alt=""/><br /><sub><b>Robin Malhotra</b></sub></a></td>
    <td align="center"><a href="https://github.com/astromonkee"><img src="https://avatars.githubusercontent.com/u/44421303?v=4" width="100px;" alt=""/><br /><sub><b>Astromonkee</b></sub></a></td>
    <td align="center"><a href="https://github.com/ezraberch"><img src="https://avatars.githubusercontent.com/u/49635435?v=4" width="100px;" alt=""/><br /><sub><b>ezraberch</b></sub></a></td>
  </tr>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!
